> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve Payroll

> Approve a payrun (core functionality only, no country-specific logic).



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/payrolls/{payroll_status_id}/approve
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls/{payroll_status_id}/approve:
    post:
      tags:
        - Core
        - Payrolls
      summary: Approve Payroll
      description: Approve a payrun (core functionality only, no country-specific logic).
      operationId: >-
        approve_payroll_organizations__organization_id__payrolls__payroll_status_id__approve_post
      parameters:
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetails'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    RunDetails:
      properties:
        id:
          type: string
          title: Id
        external_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: External Ref
        status:
          $ref: '#/components/schemas/PayrunStatus'
        status_id:
          type: string
          title: Status Id
      additionalProperties: true
      type: object
      required:
        - id
        - external_ref
        - status
        - status_id
      title: RunDetails
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrunStatus:
      type: string
      enum:
        - draft
        - processing
        - approved
        - paid
      title: PayrunStatus
      description: Payrun status
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````